/*
 * @Author: XianKaiQun
 * @Date: 2020-04-30 14:52:57
 * @LastEditors  : WuWei
 * @LastEditTime : 2023-02-10 15:21:37
 * @Descripttion: 
 */
///执行人

class OperatorsModel {
  String? companyShortName;
  String? companyId;
  List<EmployeesOfOperatorsModel>? employees;

  OperatorsModel({
    this.companyShortName,
    this.companyId,
    this.employees,
  });

  OperatorsModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    companyShortName = map['companyShortName'];
    companyId = map['companyId'];
    employees = List<EmployeesOfOperatorsModel>.from((map["employees"] ?? [])
        .map((x) => EmployeesOfOperatorsModel.fromJson(x)));
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['companyShortName'] = this.companyShortName;
    json['companyId'] = this.companyId;
    json['employees'] =
        List<dynamic>.from((employees ?? []).map((x) => x.toJson()));

    return json;
  }
}

class EmployeesOfOperatorsModel {
  String? employeeName;
  String? employeeId;
  String? organName;
  String? organId;
  String? allName;

  EmployeesOfOperatorsModel({
    this.employeeName,
    this.employeeId,
    this.organName,
    this.organId,
    this.allName,
  });

  EmployeesOfOperatorsModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    employeeName = map['employeeName'];
    employeeId = map['employeeId'];
    organName = map['organName'];
    allName = map['allName'];
    organId = map['organId'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['employeeName'] = this.employeeName;
    json['employeeId'] = this.employeeId;
    json['organName'] = this.organName;
    json['allName'] = this.allName;
    json['organId'] = this.organId;

    return json;
  }
}
